import httpRequest from '@/utils/axios'

// 获取团队列表
export function getTeamList(params?: { name?: string; status?: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend/team/index', { params })
}

// 团队审核
export function submitAudit(data: { id: string; status: number }) {
  return httpRequest.post('/api/psp/backend/team/audit', data)
}

// 获取团队详情
export function getTeam(params: { id: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend/team/view', { params })
}
